<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
# Control du token du formulaire
plxToken::validateFormToken($_POST);

global $plxAdmin;

$tagList = array();
foreach($plxAdmin->aTags as $artId=>$subArray){
	$tags = array_map('trim', explode(',', $subArray[tags]));
	foreach($tags as $idx => $tag) {
		$tagId = plxUtils::title2url($tag);
		$tagList[$tagId]=array();
		$tagList[$tagId]['nom']=plxUtils::strCheck($tag);
		$tagList[$tagId]['url']='?tag/'.$tagId;
	}
}
ksort($tagList);

if(!empty($_POST)) {
	foreach($tagList as $tag=>$values){
		$plxPlugin->setParam($tag."_thumbnail", $_POST[$tag."_thumbnail"], 'string');
		$plxPlugin->setParam($tag."_content", $_POST[$tag."_content"], 'cdata');
		$plxPlugin->setParam($tag."_meta", $_POST[$tag."_meta"], 'cdata');
	}
	$plxPlugin->saveParams();
	header('Location: plugin.php?p=extendTags');
	exit;
}

if(defined('PLX_VERSION') and version_compare(PLX_VERSION, '5.5', ">=")){
	$activeThumb = true;
} else{
	$activeThumb = false;
}

?>
<form method="POST" id="form_extendTags" action="plugin.php?p=extendTags">

<?php foreach($tagList as $tag=>$values):

		if($plxPlugin->getParam($tag."_thumbnail")!=""){
			$values['thumbnail'] =$plxPlugin->getParam($tag."_thumbnail");
		}else{
			$values['thumbnail']='';
		}
		if($plxPlugin->getParam($tag."_content")!=""){
			$values['content'] =$plxPlugin->getParam($tag."_content");
		}else{
			$values['content']='';
		}
		if($plxPlugin->getParam($tag."_meta")!=""){
			$values['meta'] =$plxPlugin->getParam($tag."_meta");
		}else{
			$values['meta']='';
		}
?>
<fieldset>
<legend>
	<?php echo $values['nom']; ?>
	( <?php echo $tag;?> )
	<a id="toggler_<?php echo $tag;?>" href="javascript:void(0)" onclick="toggleDiv('toggle_<?php echo $tag;?>', 'toggler_<?php echo $tag;?>', 'Afficher','Masquer')">
		<?php echo $values['thumbnail']=='' || $values['content'] || $values['meta']==''?'Montrer':'Masquer' ?>
	</a>
</legend>
<div class="grid" id="toggle_<?php echo $tag;?>"<?php echo $values['thumbnail']!='' || $values['content']!='' || $values['meta']!=''?'':' style="display:none"' ?>>
<label class="col sml-12 med-2" for="<?php echo $tag;?>_thumbnail">
	Thumbnail
	<a class="hint"><span>Nom du champ : <b><?php echo $tag;?>_thumbnail</b></span></a>
	<?php if($activeThumb): ?>
		<a title="ajouter un media" id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('<?php echo $tag;?>_thumbnail', true)" style="outline:none; text-decoration: none">+</a>
	<?php endif; ?>
</label>
<input class="col sml-12 med-9" id="<?php echo $tag;?>_thumbnail" name="<?php echo $tag;?>_thumbnail" type="text" value="<?php echo $values['thumbnail']; ?>" size="255" maxlength="255">

<label class="col sml-12 med-2" for="<?php echo $tag;?>_content">
	Description
	<a class="hint"><span>Nom du champ : <b><?php echo $tag;?>_content</b></span></a>
</label>
<textarea class="col sml-12 med-9" id="<?php echo $tag;?>_content" name="<?php echo $tag;?>_content" type="text" rows="5"><?php echo $values['content']; ?></textarea>

<label class="col sml-12 med-2" for="<?php echo $tag;?>_meta">
	meta description
	<a class="hint"><span>Nom du champ : <b><?php echo $tag;?>_meta</b><br/>Si vide, le plugin utilisera le champ description</span></a>
</label>
<input class="col sml-12 med-9" id="<?php echo $tag;?>_meta" name="<?php echo $tag;?>_meta" type="text" value="<?php echo $values['meta']; ?>" size="255" maxlength="255">

</div>
</fieldset>
<?php endforeach; ?>

<fieldset>
	<p class="in-action-bar">
		<?php echo plxToken::getTokenPostMethod() ?>
		<input type="submit" name="submit" value="Enregistrer" />
	</p>
</fieldset>
</form>