<?php
/**
 * Plugin extendTags
 *
 **/
class extendTags extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# limite l'accès à l'écran d'administration du plugin
		$this-> setConfigProfil(PROFIL_ADMIN);	
		# limite l'accès à l'écran d'administration du plugin
		$this->setAdminProfil(PROFIL_WRITER,PROFIL_MANAGER,PROFIL_MODERATOR,PROFIL_EDITOR,PROFIL_ADMIN);	

		# déclaration des hooks
		$this->addHook('extendTags_thumbnail', 'extendTags_thumbnail');
		$this->addHook('extendTags_content', 'extendTags_content');
		$this->addHook('extendTags_meta', 'extendTags_meta');
		$this->addHook('extendTags_thumbnail_R', 'extendTags_thumbnail_R');
		$this->addHook('extendTags_content_R', 'extendTags_content_R');
		$this->addHook('extendTags_meta_R', 'extendTags_meta_R');
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead'); // ajoute la feuille de style du plugin dans le backoffice
		$this->addHook('plxShowMeta', 'plxShowMeta');
	}

	
	/**
	 * Méthode qui ajoute la feuille de style du plugin dans le backoffice
	 **/
	public function AdminTopEndHead() { // insère la feuille de style du plugin que dans la page d'édition de l'article
		if($_GET['p']=='extendTags'){
			echo "\t".'<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'extendTags/css/BO.css" media="screen" />'."\n";
		}
	}
	
	/**
	 * Méthode qui affiche le champ thumbnail
	 *
	 * @return	stdio
	 * @author	DanielSan
	 **/
	public function extendTags_thumbnail($tag) {
		if($tag) {
			echo $this->getParam($tag.'_thumbnail');
		}else{}
	}

	/**
	 * Méthode qui affiche le champ content
	 *
	 * @return	stdio
	 * @author	DanielSan
	 **/
	public function extendTags_content($tag) {
		if($tag) {
			echo $this->getParam($tag.'_content');
		}else{}
	}

	/**
	 * Méthode qui affiche le champ meta
	 *
	 * @return	stdio
	 * @author	DanielSan
	 **/
	public function extendTags_meta($tag) {
		if($tag) {
			echo $this->getParam($tag.'_meta');
		}else{}
	}
	
	/**
	 * Méthode qui retourne le champ thumbnail
	 *
	 * @return	stdio
	 * @author	DanielSan
	 **/
	public function extendTags_thumbnail_R($tag) {
		if($tag) {
			$value = $this->getParam($tag.'_thumbnail');
			return $value;
		}else{}
	}

	/**
	 * Méthode qui retourne le champ content
	 *
	 * @return	stdio
	 * @author	DanielSan
	 **/
	public function extendTags_content_R($tag) {
		if($tag) {
			return $this->getParam($tag.'_content');
		}else{}
	}

	/**
	 * Méthode qui affiche le champ meta
	 *
	 * @return	stdio
	 * @author	DanielSan
	 **/
	public function extendTags_meta_R($tag) {
		if($tag) {
			return $this->getParam($tag.'_meta');
		}else{}
	}

	/**
	 * Méthode qui extrait n mots dans une chaine de caractères
	 *
	 * @param 	$string 	chaine à couper
	 * @param 	$len 		nombre de mots à garder
	 * @param 	$ending 	caractères de fin
	 * @param 	$char 		caractère de séparation
	 * @return	string
	 * @author	Stephane F
	 **/
	public static function subtok($string,$len=30,$ending='...',$chr=' ') {
		$explode=explode($chr,$string);
		if(sizeof($explode)>$len)
			return implode($chr,array_slice($explode,0,$len)).$ending;
		else
			return implode($chr,array_slice($explode,0,$len));
	}

	/**
	 * Méthode renseigne le meta description du mot-clef
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function plxShowMeta() {

		$nbwords = intval($this->getParam('nbwords'));
		$nbwords = $nbwords == 0 ? 30 : $nbwords;
		echo '<?php
			if($this->plxMotor->mode=="tags" AND strtolower($meta)=="description") {

				$tag = plxUtils::strCheck($this->plxMotor->cible);
				$metaTag = $this->callHook(\'extendTags_meta_R\', $tag);
				if(!empty($metaTag)) {
					echo "<meta name=\"description\" content=\"".$metaTag."\" />\n";
					return true;
				}
				
				$descTag = $this->callHook(\'extendTags_content_R\', $tag);
				$description=strip_tags($descTag); # suppression des balises html
				if(!empty($description)) {
					$description = str_replace("\"","\'",$description); # pour protéger le champ content de la balise meta
					$description = str_replace("\n"," ",$description); # on enlève les retours à la ligne
					$description = plxMyAutoMetaDescription::subtok($description,'.$nbwords.'); # on coupe
					echo "<meta name=\"description\" content=\"".$description."\" />\n";
					return true;
				}

				$description=trim($this->plxMotor->aConf["meta_description"]);
				if(!empty($description)) {
					echo "<meta name=\"description\" content=\"".$description."\" />\n";
					return true;
				}
			}
		?>';
	}
}
?>